flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kyle McKnight <kamck...@gmail.com>
Subject Re: Custom skin based on SDK version
Date Wed, 28 Sep 2016 17:07:59 GMT
Ok so as a specific example in my case, I'd like to make a skin for the
DataGrid that works for both versions 4.9 and below but also 4.10 and above.

In 4.10, The DataGridSkin in the SDK was changed to have extra components
but it was never documented. I'd like to make a single skin that would
successfully work for both versions of the SDK.

Here is the problem I ran into
http://mail-archives.apache.org/mod_mbox/flex-users/201309.mbox/%3C1378373677986-2572.post@n4.nabble.com%3E.
My custom skin when I upgraded to 4.10 started to not work, and I found
this solution. So the 4.10 SDK and above requires different components in
the skin.

So I'd like to conditionally create the skin based on which SDK is being
used to compile. Is that possible?


Kyle McKnight
Senior UI Engineer - Accesso
602.515.1444 (M)

On Wed, Sep 28, 2016 at 12:58 PM, OK <post@olafkrueger.net> wrote:

> kamcknig wrote
> > I want to change the MXML in the skin file based upon whether we are
> > working in the old adobe 4.6 or the new apache 4.15.
>
> Probably I don't understand your question but you could just replace the
> origin SDK skins by custom skins.
> Could you try to specify more precisely what you'd like to achive?
>
> Thanks,
> Olaf
>
>
>
>
> --
> View this message in context: http://apache-flex-users.
> 2333346.n4.nabble.com/Custom-skin-based-on-SDK-version-tp13647p13648.html
> Sent from the Apache Flex Users mailing list archive at Nabble.com.
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message